Browsable Browsable Docs

Spotify API

Fetch public Spotify oEmbed metadata for Spotify URLs. Search and catalog APIs require OAuth.

POST /v1/spotify/metadata

Request Parameters

Name In Type Required Description
url body string Yes Spotify track, album, playlist, artist, episode, or show URL.
limit body integer No Maximum number of results to return.

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/spotify/metadata" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"url":"https://open.spotify.com/track/11dFghVXANMlKmJXsNCbNl","limit":25}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/spotify/metadata" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"url":"https://open.spotify.com/track/11dFghVXANMlKmJXsNCbNl","limit":25,"_run":{"async":false}}'